Package com.io7m.idstore.server.http

# Class IdHTTPHandlerFunctional

java.lang.Object
com.io7m.idstore.server.http.IdHTTPHandlerFunctional

All Implemented Interfaces:
  `io.helidon.webserver.http.Handler`, `io.helidon.webserver.ServerLifecycle`

Direct Known Subclasses:
  `IdA1HandlerCommand`, `IdA1HandlerHealth`, `IdA1HandlerLogin`, `IdA1HandlerVersions`, `IdU1HandlerCommand`, `IdU1HandlerHealth`, `IdU1HandlerLogin`, `IdU1HandlerVersion`, `IdU1HandlerVersions`, `IdUVCSS`, `IdUVEmailAdd`, `IdUVEmailAddRun`, `IdUVEmailRemoveRun`, `IdUVEmailVerificationDeny`, `IdUVEmailVerificationPermit`, `IdUVLogin`, `IdUVLogo`, `IdUVLogout`, `IdUVMain`, `IdUVMessage`, `IdUVPasswordReset`, `IdUVPasswordResetConfirm`, `IdUVPasswordResetConfirmRun`, `IdUVPasswordResetRun`, `IdUVPasswordUpdate`, `IdUVPasswordUpdateRun`, `IdUVRealnameUpdate`, `IdUVRealnameUpdateRun`

public abstract class IdHTTPHandlerFunctional extends Object implements io.helidon.webserver.http.Handler
A functional servlet.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `IdHTTPHandlerFunctional(IdHTTPHandlerFunctionalCoreType inCore)`
  A functional servlet.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final void`
  `handle(io.helidon.webserver.http.ServerRequest request, io.helidon.webserver.http.ServerResponse response)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface io.helidon.webserver.ServerLifecycle

  `afterStop, beforeStart`

- ## Constructor Details

  - ### IdHTTPHandlerFunctional

    public IdHTTPHandlerFunctional(IdHTTPHandlerFunctionalCoreType inCore)
    A functional servlet.
    Parameters:
      `inCore` - The functional core

- ## Method Details

  - ### handle

    public final void handle(io.helidon.webserver.http.ServerRequest request, io.helidon.webserver.http.ServerResponse response)
    Specified by:
      `handle` in interface `io.helidon.webserver.http.Handler`